
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>bind2st for_each和transform / iVAN</title>

    <meta name="description" content="bind2st for_each和transform 一天STL论坛上有个朋友问关于bind2st使用的问题,开始以为很简单: void print(int&amp; a,const int b) { a+=b; } int main() { list&lt;int&gt; my_list; ......... for_each(my_list.begin(),my_list.end(), bind2nd(print,3) ); } 目的是依次循环,每个节点加3 想通过bind2nd使函数的第二个值绑定为3 可是通过不了,这是错在哪 如果要达到目的 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">bind2st for_each和transform</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一天STL论坛上有个朋友问关于bind2st使用的问题，开始以为很简单：</p>
<p><code>void print(int&amp; a,const int b)<br />
{<br />
a+=b;<br />
}<br />
int main()<br />
{<br />
list&lt;int&gt; my_list;<br />
.........<br />
for_each(my_list.begin(),my_list.end(), bind2nd(print,3) );<br />
}</code></p>
<p>目的是依次循环，每个节点加3</p>
<p>想通过bind2nd使函数的第二个值绑定为3</p>
<p>可是通过不了，这是错在哪</p>
<p>如果要达到目的的话，应该怎么改呢？？</p>
<p>后来一调试，发现不是那么容易。你能发现问题在哪儿吗？</p>
<p>后来看了帮助文档才解决，看看我的答复：</p>
<p>for_each 是需要使用functor , bind2st 的对象也是functor 而不是函数。</p>
<p>如果需要使用bind2st，那么你需要从binary_function继承.</p>
<p>for_each不会让你修改元素， 因此你的要求是达不到的。</p>
<p>在STL编程手册中就有说明：</p>
<p>for_each的 “UnaryFunction does not apply any non-constant operation through its argument”</p>
<p>如果要达到要求，你可以使用transform.</p>
<p>以下代码就是一个例子：</p>
<p><code>struct printx: public binary_function&lt;int, int, int&gt;<br />
{<br />
　int operator()(int a, int b)const<br />
　{<br />
　　cout&lt;&lt;a+b&lt;&lt;endl;<br />
　　return a+b;<br />
　}<br />
};<br />
int main()<br />
{<br />
　　vector&lt;int&gt; my;<br />
　　my.push_back(0);<br />
　　my.push_back(1);<br />
　　my.push_back(2);<br />
　　copy(my.begin(), my.end(), ostream_iterator&lt;int&gt;(cout, " "));<br />
　　cout&lt;&lt;"\n-----"&lt;&lt;endl;<br />
　　for_each(my.begin(),my.end(), bind2nd(printx() , 3) );<br />
　　cout&lt;&lt;"\n-----"&lt;&lt;endl;<br />
　　copy(my.begin(), my.end(), ostream_iterator&lt;int&gt;(cout, " "));<br />
　　cout&lt;&lt;"\n-----"&lt;&lt;endl;<br />
　　transform(my.begin(),my.end(),my.begin(), bind2nd(printx() , 3) );<br />
　　cout&lt;&lt;"\n-----"&lt;&lt;endl;<br />
　　copy(my.begin(), my.end(), ostream_iterator&lt;int&gt;(cout, " "));<br />
　　return 0;<br />
}</code></p>
<p>看来不是那么容易，STL在使用之初，确实不那么容易，其编程思想很不错，但是如果没有习惯这种风格，非常容易出现问题，加上编译错误提示信息不友好，也很难改正错误。因此，建议初学者尽量不要去使用一些麻烦的操作。多使用容器自带的函数，一步一步来。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 05:46:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>, <a href="https://www.iamivan.net/tag/transform/" title="transform">transform</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>bind2st for_each和transform的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlWRnb.html" rel="bookmark">javascript-jquery的animate函數为啥不支持transform？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jquery的animate函數为啥不支持transform? jQuery的animate函数,为啥不支持改变transform属性值的动画? $().animate({&quot;transform&quot;:&quot;rotate(90deg)&quot;},200,&quot;linear&quot;); 解决方案 css3要结合transition,不需要用animate,用css就行 &lt;script src=&quot;http://ajax.aspnetcdn.com/a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boO83b.html" rel="bookmark">zoom和transform&colon;scale的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.IE和Chrome等浏览器与zoom 还在几年前,zoom还只是IE浏览器自己私有的玩具,但是,现在,除了FireFox浏览器,其他,尤其Chrome和移动端浏览器已经很好支持zoom属性了: zoom的字面意思是&quot;变焦&quot;,摄影的时候常用到的一个概念.对于web上的zoom效果,你也可以按照此概念理解.可以改变页面上元素的尺寸,属于真实尺寸. 在旧的web时代.*zoom: 1可以给IE6/IE7浏览器增加haslayout, 用来清除浮动,修复一些布局上的疑难杂症等. 其支持的值			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVXOkM.html" rel="bookmark">transform你不知道的那些事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 transform是诸多css3新特性中最打动我的,因为它让方方正正的box module变得真实了. transform通过一组函数实现了对盒子大小.位置.角度的2D或者3D变换.不过很长时间内,我对以下问题都想不太明白: 1.尺寸缩放scale与zoom变换有何不同,为什么被scale的盒子里的内容不会错位,但zoom不是. 2.位移(transform:translate)与相对定位.绝对定位(position:relative absolute)有何关系? 3.在实际项目中发现,位图(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw5AEM.html" rel="bookmark">CSS3 Transform变形理解与应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Transform:对元素进行变形: Transition:对元素某个属性或多个属性的变化,进行控制(时间等),类似flash的补间动画.但只有两个关键贞.开始,结束. Animation:对元素某个属性或多个属性的变化,进行控制(时间等),类似flash的补间动画.可以设置多个关键贞.   Transition与Animation: transition需要触发一个事件 ,而animation在不需要触发任何事件的情况下也可以显式的随着时间变化来改变元 素css的属性值,从而达到一种动画的效果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8gWoM.html" rel="bookmark">CSS3变形属性&colon;CSS3 3D Transform</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:作为一个网页设计师,你可能熟悉在二维空间工作,但是在三维空间上工作并不太熟悉.使用二维变形我们能够改变元素在水平和垂直轴线,然而还有一个轴沿着它,我们可以改变元素.使用三维变形,我们可以改变元素在Z轴位置. 三维变换使用基于二维变换的相同属性,如果您熟悉二维变换,你们发现3D变形的功能和2D变换的功能相当类似.CSS3中的3D变换主要包括以下几种功能函数: 3D位移:CSS3中的3D位移主要包括translateZ()和translate3d()两个功能函数: 3D旋转:CSS3中的3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWxBXp.html" rel="bookmark">CSS3的transform知识&colon;详解transform</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:在这篇文章,回顾了CSS3的transform的基本知识,然后深入介绍了transform-origin的相关知识. 在CSS2.1中,我们的页面都是静态的,网页设计师也习惯把它作为页面效果的设计工具.但往往有些页面效果不只是静态的,比如说,如何实际移动一些元素?如何更改元素的外观--旋转或缩放? 多年来,Web设计师为了给修改页面的外观,都依赖于图片.Flash或JavaScript才能完成.不过,CSS3将要改变设计师这种思维,进入CSS3时代,借助CSS3就可以轻松倾斜.缩放.移			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwXRWb.html" rel="bookmark">transform中transform</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:今天将和大家一起探讨transform中transform-style和perspective相关属性的使用. 今天将和大家一起探讨transform中transform-style和perspective相关属性的使用. transform-style属性 transform-style属性是3D空间一个重要属性,指定嵌套元素如何在3D空间中呈现.他主要有两个属性值:flat和preserve-3d. transform-style属性的使用语法非常简单: transform-sty			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9WYXz.html" rel="bookmark">CSS3 Transform的perspective属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:CSS3 Transform的perspective属性. 以下两行语句有什么区别? &lt;div id=&quot;animateTest&quot; style=&quot;-webkit-transform: perspective(400px) rotateY(40deg);&quot;&gt; &lt;div id=&quot;animateTest&quot; style=&quot;-webkit-transform: rotateY(40deg) perspective(400			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3Wgwb.html" rel="bookmark">css3动画transform属性系列之scale&lpar;缩放&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面我们从3个方面开始介绍: 1.scale(x,y) 对元素进行缩放 X表示水平方向缩放的倍数 Y表示垂直方向的缩放倍数 Y是一个可选参数,没有设置的话,则表示X,Y两个方向的缩放倍数是一样的.并以X为准. transform:scale(2,2.5); 2.scaleX(&lt;number&gt;) 元素只在X轴(水平方向)缩放元素. 默认值是1,基点一样在元素的中心位置.可以通过transform-origin来改变基点 transform:scaleX(2); 3.scaleY(&lt;numb			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnZwAp.html" rel="bookmark" class="title">php 图片水印类</a>
					<div>
						&lt;?php class ThumbHandler { var $dst_img; // 目标文件 var $h_src; // 图片资源句柄 var $h_dst; // 新图句柄 var $h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXZBjb.html" rel="bookmark" class="title">一个DataGrid多次绑定不同数据的时候我的用法</a>
					<div>
						datagrid|数据 在一个页面中要实现数据全部的显示和搜索. using System;using System.Collections;using System.ComponentModel;u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPPryM.html" rel="bookmark" class="title">用js代码实现iframe子页面刷新父页面</a>
					<div>
						在子页面刷新父页面,可以用js代码来实现. 只需加入下面的代码:&lt;script language=&quot;javascript&quot;&gt;parent.location.replac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w3R1p.html" rel="bookmark" class="title">C&plus;&plus;编程语言的四个调试技巧</a>
					<div>
						1.调试标记 适用预处理#define定义一个或多个调试标记,在代码中把调试部分使用#ifdef和#endif进行管理.当程序最终调试完成后,只需要使用#undef标记,调试代码就会消失.常用的调试标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kXvRz.html" rel="bookmark" class="title">&period;Net里漂浮窗口拖动的实现方法</a>
					<div>
						.net里漂浮窗口拖动的实现方法.另外还提到一个jquery的插件 easydrag,这个插件处理拖放还算好用,但自从我上次修改后,现在又发现了它的另一个bug. 在应用了easydrag的页面中,某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrEBkp.html" rel="bookmark" class="title">升级chrome谷歌浏览器后导致中国银行网银插件失效该怎么办？</a>
					<div>
						  升级chrome谷歌浏览器后导致中国银行网银插件失效该怎么办?            1.如果碰到&quot;未安装密码安全控件&quot;,并且你确定你的确安装了,那么开始下一步 2.打开chr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPABBM.html" rel="bookmark" class="title">从零开始教你打造网页设计中的极简风格</a>
					<div>
						  什么是极简设计 极简设计,严格上讲不能算作一种视觉风格,而是一种设计哲学.它在保持了基本的骨架内容的基础上,剔除掉多余的元素.装饰.色彩和纹理,是通过不断思考而进行化繁为简的设计过程.这样做的结果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo61vvz.html" rel="bookmark" class="title">GUI设计中的不假思索</a>
					<div>
						第一次接触到&quot;不假思索&quot;这个概念,是通过一篇名为&lt;深泽直人(Naoto Fukasawa):&lt;意识的核心&gt;&gt;的博文,里面列举了一些例子来阐明作者的观点. 照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEZ3ob.html" rel="bookmark" class="title">Wps Office配置工具文件关联方法</a>
					<div>
						  1.如何让doc文件的打开方式直接设为 WPS Office 2011,设为默认的打开方式? 您可以通过&quot;文件关联&quot;设置相关选项来达到您的要求,具体操作:开始菜单-&gt;所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKR8Vp.html" rel="bookmark" class="title">交换机好坏的评判标准</a>
					<div>
						  普通来讲,评判交换机的好坏要从总体构架.功能和功用三方面动手.总体架构是指交换机设备的端口密度.端口支撑的最高速度.交流容量等根本功能参数的值,可以让用户从总体上掌握该设备的定位和层次. 而交换机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRNRBp.html" rel="bookmark" class="title">Windows平台下Git服务器搭建</a>
					<div>
						  第一步:下载Java 第二步:安装Java.安装步骤不再详述. 第三步:配置Java环境变量. 右键&quot;计算机&quot; =&gt; &quot;属性&quot; =&gt; &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNnmQM.html" rel="bookmark" class="title">网易云阅读什么是红包和优惠券？</a>
					<div>
						  1.红包和优惠券是网易云阅读为了回馈用户而产生的抵用券. 2.红包在购买结算时可抵扣阅点; 3.优惠券可在订单原价格基础上,扣减相应金额.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z3Klb.html" rel="bookmark" class="title">POJ 3347 特殊方法</a>
					<div>
						题意:给予n个正方形,要求45°角放置,最左边的正方形紧贴Y轴,所有的正方形的下面的端点都在X轴上.然后按照正方形不能交错但要尽可能的挨着的原则,摆放,最后输出从上往下看能看到的正方形的编号. 这题先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw5Nlz.html" rel="bookmark" class="title">android-Android 实现读取身份证信息怎么完成，求大神指点！！！</a>
					<div>
						问题描述 Android 实现读取身份证信息怎么完成,求大神指点!!! Android 实现读取身份证信息怎么完成,求大神指点!!! 解决方案 你是照片读取?像扫描二维码那样读取身份证上的内容?还是n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPXdDp.html" rel="bookmark" class="title">&lbrack;翻译&rsqb; DTCoreText 从HTML文档中创建富文本</a>
					<div>
						DTCoreText 从HTML文档中创建富文本 https://github.com/Cocoanetics/DTCoreText   注意哦亲,DTRichTextEditor 这个组件是收费的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ5y8p.html" rel="bookmark" class="title">《21天学通C语言（第6版&bull;修订版）》一导读</a>
					<div>
						前 言 21天学通C语言(第6版•修订版) 本书旨在引导读者在21天内学通C语言编程.虽然有来自诸如C++.Java和C#的激烈竞争,但很多初学编程者还是会选择C语言.正如第1天课程介绍的原因,选择C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKxkrz.html" rel="bookmark" class="title">android 当后台程序全部退出后 重新打开软件时 如何进行软件更新提示</a>
					<div>
						问题描述 android 当后台程序全部退出后 重新打开软件时 如何进行软件更新提示 android 当软件第一次被打开时会进行版本检测 弹出新版本更新提示对话框 点击cancel暂不升级 会在sha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA757p.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;课程设计    求大神帮忙写下构造函数和析构函数</a>
					<div>
						问题描述 C++课程设计 求大神帮忙写下构造函数和析构函数 1.网格世界类网格中每个元素存放各种生物对象的指针或者为空.模拟过程中,我们需要移动生物,还有繁殖和饥饿(死亡),所以在网格类中,我们可以将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBBV1b.html" rel="bookmark" class="title">【转】js弹出框详解</a>
					<div>
						经 常上网的朋友可能会到过这样一些网站,一进入首页立刻会弹出一个窗口,或者按一个连接或按钮弹出,通常在这个窗口里会显示一些注意事项.版权信息.警告. 欢迎光顾之类的话或者作者想要特别提示的信息.其实制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBY9QM.html" rel="bookmark" class="title">visual studio-vs2013debug问题 请输入长度为10-50的问题标题</a>
					<div>
						问题描述 vs2013debug问题 请输入长度为10-50的问题标题 win7环境下的vs2013旗舰 试过网上说的各种方法.都无法解决. (注:tracedebugging文件夹的只读属性无法更改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94JEKb.html" rel="bookmark" class="title">java学习：jdbc连接示例</a>
					<div>
						java中最常用的数据库连接技术就是JDBC. 目前几乎所有的主流数据库都提供了相应的jdbc驱动,可以简单理解为.net中的数据库客户端dll,.net中如果对于netframework默认不支持的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXeDjz.html" rel="bookmark" class="title">python-安装reviewboard 安装时报错。还请大神指点</a>
					<div>
						问题描述 安装reviewboard 安装时报错.还请大神指点 C:memcached&gt;rb-site install D:reboard Traceback (most recent call ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeEQKb.html" rel="bookmark" class="title">Python处理json字符串转化为字典的简单实现&lowbar;python</a>
					<div>
						今天一个朋友给个需求: 来来 {'isOK': 1, 'isRunning': None, 'isError': None} 怎么转换成字典 好,一看就是json转化很简单,开始: import js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKwn8b.html" rel="bookmark" class="title">关于HTTP线程设置问题</a>
					<div>
						问题描述 我的HTTP吞吐量大概在360-380之前,就是那个TOTALREQUESRTIME除以TOTALREQUESTPROCESSED=得到的值那么的HTTP线程应该设置为多少合适,而且我发现如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZnZAz.html" rel="bookmark" class="title">第十届网博会将展会</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/16449.html&quot;&gt;CNET科技资讯网 7月17日 北京消息:中国国际网络文化博览会(下称&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNywxM.html" rel="bookmark" class="title">使用Dockerfile编译自己的docker镜像</a>
					<div>
						演示一个镜像包含apache 1.新建Dockerfile Java代码   vi Dockerfile    2.填入如下内容 Java代码   # Version 0.0.1   From cen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xY9Xb.html" rel="bookmark" class="title">HttpClient Cookie问题</a>
					<div>
						问题描述 我抓到的包是这样的,可是我Post之后,得到返回的responseHeader里面只有一个Set-Cookie=BAIDU_UID,而没有TIEBA_UID,是不是我的方法错了,我是这个输出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgk4KM.html" rel="bookmark" class="title">构建ASP&period;NET MVC4&plus;EF5&plus;EasyUI&plus;Unity2&period;x注入的后台管理系统（44）-工作流设计-设计表单</a>
					<div>
						原文:构建ASP.NET MVC4+EF5+EasyUI+Unity2.x注入的后台管理系统(44)-工作流设计-设计表单 系列目录 设计表单是比较复杂的一步,完成一个表单的设计其实很漫长,主要分为四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60vdyz.html" rel="bookmark" class="title">不用等太久OPPO Find7即开启ColorOS 2&period;0公测</a>
					<div>
						3月19日,OPPO Find 7将在北京发布.如今OPPO 再度传来好消息,传说中的http://www.aliyun.com/zixun/aggregation/3734.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22QRrb.html" rel="bookmark" class="title">求一个linq</a>
					<div>
						问题描述 SELECT*FROM[dbo].[Template]WHERETemplateIDNOTIN(SELECTT.TemplateIDFROMTemplateTJOINDocumentDONT ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
